Last Comment Bug 787654 - Zune and Royale have wrong window color with draw in title bar
: Zune and Royale have wrong window color with draw in title bar
Status: RESOLVED FIXED
: ux-consistency
Product: Thunderbird
Classification: Client Software
Component: Theme (show other bugs)
: unspecified
: All Windows XP
: -- normal (vote)
: Thunderbird 18.0
Assigned To: Richard Marti (:Paenglab)
:
Mentors:
Depends on:
Blocks: 755793
  Show dependency treegraph
 
Reported: 2012-09-01 04:57 PDT by Richard Marti (:Paenglab)
Modified: 2012-10-05 11:24 PDT (History)
3 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
patch (2.77 KB, patch)
2012-09-01 05:01 PDT, Richard Marti (:Paenglab)
bugs: review+
bugs: ui‑review+
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review
screenshot (41.20 KB, image/png)
2012-09-01 05:03 PDT, Richard Marti (:Paenglab)
no flags Details

Description Richard Marti (:Paenglab) 2012-09-01 04:57:35 PDT
From bug 755793 comment 49:

> Created attachment 657201 [details]
> mail.tabs.drawInTitlebar enabled with Zune Desktop Theme
> 
> Just wanted to note that drawing in titlebar causes unreadable visuals
> with the official Zune theme [1].
> 
> [1]: http://go.microsoft.com/fwlink/?LinkID=75078

It look I didn't used the official themes (there are a lot of them around). I haven't found a official DL link for Royale but the one I now used looks most "official".
Comment 1 Richard Marti (:Paenglab) 2012-09-01 05:01:01 PDT
Created attachment 657553 [details] [diff] [review]
patch

Patch setting individual colors instead using the system colors which don't match the border colors.
Comment 2 Richard Marti (:Paenglab) 2012-09-01 05:03:17 PDT
Created attachment 657554 [details]
screenshot

Screenshot for easier UI-review. On top Zune active window, second with inactive window, third Royale activ and the last inactive.
Comment 3 Andreas Nilsson (:andreasn) 2012-09-03 05:15:32 PDT
Comment on attachment 657553 [details] [diff] [review]
patch

Looks good!
Comment 4 Ryan VanderMeulen [:RyanVM] 2012-09-03 06:32:02 PDT
https://hg.mozilla.org/comm-central/rev/156e66fb3269
Comment 5 Richard Marti (:Paenglab) 2012-09-03 09:47:13 PDT
Comment on attachment 657553 [details] [diff] [review]
patch

[Approval Request Comment]
Regression caused by (bug #): 755793
User impact if declined: only visual, hard readable tabs
Risk to taking this patch (and alternatives if risky): no high risk, it's only color change through CSS.

If approval + I'll add a patch which applies cleanly.
Comment 6 Richard Marti (:Paenglab) 2012-09-13 09:26:20 PDT
This patch applies on comm-aurora. So no need for a special patch.
Comment 7 Florian Quèze [:florian] [:flo] 2012-10-05 11:24:54 PDT
https://hg.mozilla.org/releases/comm-aurora/rev/120aa51ba5d3

Note You need to log in before you can comment on or make changes to this bug.